Update the shared permissions of a View with an Org
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"target_org": "target_org",
"read": true,
"share": true,
"write": true
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org"
payload = {
"target_org": "target_org",
"read": True,
"share": True,
"write": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({target_org: 'target_org', read: true, share: true, write: true})
};
fetch('https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_org' => 'target_org',
'read' => true,
'share' => true,
'write' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org"
payload := strings.NewReader("{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}"
response = http.request(request)
puts response.read_body{
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Update the shared permissions of a View with an Org
POST
/
api
/
ReportQuery
/
Views
/
{reportDefinitionId}
/
{view}
/
permissions
/
org
Update the shared permissions of a View with an Org
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"target_org": "target_org",
"read": true,
"share": true,
"write": true
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org"
payload = {
"target_org": "target_org",
"read": True,
"share": True,
"write": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({target_org: 'target_org', read: true, share: true, write: true})
};
fetch('https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_org' => 'target_org',
'read' => true,
'share' => true,
'write' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org"
payload := strings.NewReader("{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"target_org\": \"target_org\",\n \"read\": true,\n \"share\": true,\n \"write\": true\n}"
response = http.request(request)
puts response.read_body{
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Parameters controlling user's permissions over a view
Available options:
Derivitec.RiskPortal.Api.Controllers.ReportViewOrgPermissionRequest, Derivitec.RiskPortal.Api Name of the target Org
Can the user read the view
Can the user update the view
Can the user Share the view
Was this page helpful?